<?php
$soor_type = 1; // Проверка наличия сооружения
$soor_level = 2;
include_once('inclfiles/core.php');
$building = mysql_fetch_array(mysql_query("SELECT * FROM `buildings` WHERE `country`= ".$country['id']." AND `type` = 1"));
$building_all = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_all` WHERE `type` = 1 AND `level` = ".$building['level'].""));

switch($act){
	case 'naim':
		$title = 'Найм генерала';
		include_once('inclfiles/head.php');
		if($country['general'] != 0){
			t('В Вашем государстве уже есть генерал. Увольте его, чтобы нанять нового');
			a('general.php?act2=uvolit&','Уволить текущего генерала','minus');
		}
		else{
		    echo '<form action="general.php?act=naim&'.$gets.'" method="post">';
			if($_POST['ok'] != null OR $_POST['podtv'] != null){
				$name = filter($_POST['name']);
				$vozrast = num($_POST['vozrast']);
				$navik = num($_POST['navik']);
            	if(empty($name) or empty($vozrast) or empty($navik)) $err[] = 'Не заполнено одно или несколько полей';
            	else{
            		if(strlen2($name) > 10 OR strlen2($name) < 2) $err[] = 'Длина имени должна быть не короче 2 и не длиннее 10 символов';
            		else if(mysql_num_rows(mysql_query("SELECT * FROM `generals` WHERE `name` = '".$name."' AND `country` = ".$country['id']."")) > 0) $err[] = 'В Вашем государстве уже был генерал с таким именем';
              		if($vozrast > 90 OR $vozrast < 16) $err[] = 'Возраст должен быть не более 90 и не менее 16 лет';
              		if($navik > 10000 OR $navik < 1) $err[] = 'Навык не может быть не менее 1 и не более 10000';
              		if(!isset($err)){
              			if($navik >=50) $koeff = 100000;
              			else $koeff = 10000;
                 		$cena_naim = round(($koeff/$vozrast) * $navik);
                 		if($country['money'] < $cena_naim) $err[] = 'Найм такого генерала стоит '.chislo($cena_naim,'монету','монеты','монет').'. У Вас '.chislo($country['money'],'монета','монеты','монет');
                        else{
                        	if($_POST['podtv'] == null) c('Найм такого генерала стоит '.chislo($cena_naim,'монету','монеты','монет').'<br/><input name="podtv" type="submit" value="Нанять генерала" />');
							else{
								mysql_query("INSERT INTO `generals` SET `name` = '".$name."', `vozrast` = ".$vozrast.", `moral` = 1, `country` = ".$country['id'].", `navik` = ".$navik.", `time_naim` = ".time()." ");
                                $new_general = mysql_fetch_array(mysql_query("SELECT * FROM `generals` WHERE `country`= ".$country['id']." AND `status` = 'activen'"));
                                mysql_query("UPDATE `countries` SET `money` = (`money` - ".$cena_naim."), `general` = ".$new_general['id']." WHERE `id` = ".$country['id']);
								t('Вы успешно наняли генерала за '.chislo($cena_naim,'монету','монеты','монет'));
			              	 	a('general.php?','Перейти к новому генералу','general');
			              	 	a('buildings.php?id=1&',$building_all['name'],'building');
								include_once('inclfiles/foot.php');
							}
                        }
              		}
            	}

			}
			err();
			c('Имя нового генерала:<br/><input name="name" type="text" maxlength="10" value="'.$name.'" />');
			c('Возраст:<br/><input name="vozrast" type="text" maxlength="2" value="'.$vozrast.'" />');
			c('Навык:<br/><input name="navik" type="text" maxlength="5" value="'.$navik.'" />');
			c('<input name="ok" type="submit" value="Расчитать цену" />');
			echo '</form>';
			p('После найма навык генерала нельзя будет изменить');
		}
		a('general.php?','Генерал','general');
	break;
	default:
		$title = 'Генерал';
		include_once('inclfiles/head.php');
		if($country['general'] != 0){
		 	$general = mysql_fetch_array(mysql_query("SELECT * FROM `generals` WHERE `id`= ".$country['general']));
		 	$cena_moral = floor(5000/$general['vozrast']) * $general['moral'] + round($general['moral'] / 2);

		 	if($act2 == 'moral'){
		 		if($country['money'] < $cena_moral) $err[] = 'Недостаточно монет';
		  		else {
		            mysql_query("UPDATE `countries` SET `money` = (`money` - ".$cena_moral.") WHERE `id` = ".$country['id']);
		            mysql_query("UPDATE `generals` SET `moral` = (`moral` + 1) WHERE `id` = ".$general['id']);
		        	m('Мораль генерала успешно повышена');
		        	$general['moral'] = $general['moral'] + 1;
		        	$country['money'] = $country['money'] - $cena_moral;
		        	$cena_moral = floor(5000/$general['vozrast']) * $general['moral'] + round($general['moral'] / 2);
		  		}
		 	}
		 	else if($act2 == 'uvolit'){
              	if($_POST['yes'] != null){
              	 	mysql_query("UPDATE `generals` SET `time_uvolen` = ".time().", `status` = 'uvolen' WHERE `id` = ".$general['id']);
              	 	mysql_query("UPDATE `countries` SET `general` =  0 WHERE `id` = ".$country['id']);
              	 	unset($general);
              	 	t('Текущий генерал успешно уволен');
              	 	a('general.php?act=naim&','Нанять нового генерала','plus');
              	 	a('buildings.php?id=1&',$building_all['name'],'building');
					include_once('inclfiles/foot.php');
              	}
                else{
		 			echo '<form action="general.php?act2=uvolit&'.$gets.'" method="post">';
    				c('Вы действительно хотите уволить текущего генерала?<br/><input name="yes" type="submit" value="Да, уволить" /> <a href="general.php?'.$gets.'" class="butt">Нет, отставить</a>');
    				echo '</form>';
    			}
		 	}

		 	err();


			t1();
			echo 'Имя: '.$general['name'].'<br/>';
			echo 'Навык: '.$general['navik'].'<br/>';
			echo 'Мораль: '.$general['moral'].'<br/>';
			echo 'Опыт: '.$general['opit'].'<br/>';
			echo 'Возраст: '.declination($general['vozrast'],'год','года','лет').'<br/>';
			echo 'Дата найма: '.data($general['time_naim']).'<br/>';
			t2();

			if($country['money'] >= $cena_moral) a('general.php?act2=moral&','Повысить  мораль за '.chislo($cena_moral,'монету','монеты','монет'),'plus');
			else t('Для повышения морали требуется '.chislo($cena_moral,'монета','монеты','монет'));

			if($act2 != 'uvolit') a('general.php?act2=uvolit&','Уволить генерала','minus');
		}
		else{
			t('Нет генерала');
			a('general.php?act=naim&','Нанять генерала','plus');
		}
	break;
}
a('buildings.php?id=1&',$building_all['name'],'building');
include_once('inclfiles/foot.php');
?>